#pragma once
#include "afxole.h"
#include "SMSController.h"

class CSMSSendDlg;

class SMSDropTarget: public COleDropTarget
{
public:
	SMSDropTarget(CSMSController* pSMSController);
	~SMSDropTarget(void);

	virtual DROPEFFECT OnDragEnter(CWnd* pWnd, COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual DROPEFFECT OnDragOver(CWnd* pWnd, COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual BOOL OnDrop(CWnd* pWnd, COleDataObject* pDataObject, DROPEFFECT dropEffect, CPoint point);

private:
	DROPEFFECT GetDropEffect( COleDataObject* pDataObject );
	UINT m_clipboardFormat;
	CSMSController *m_pSMSController;
	bool CheckMaxUser(CWnd* pWnd, int nCount ) ;

};
